focal/linux-ibm: 5.4.0-1066.71 -proposed tracker

Bug #2052204 reported by Manuel Diewald
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Fix Committed
Medium
Unassigned
Abi-testing
Fix Released
Medium
Unassigned
Automated-testing
Invalid
Medium
Canonical Kernel Team
Boot-testing
Fix Released
Medium
Unassigned
Certification-testing
Invalid
Medium
Unassigned
New-review
Fix Released
Medium
Andy Whitcroft
Prepare-package
Fix Released
Medium
Portia Stephens
Prepare-package-generate
Fix Released
Medium
Portia Stephens
Prepare-package-meta
Fix Released
Medium
Portia Stephens
Prepare-package-signed
Fix Released
Medium
Portia Stephens
Promote-signing-to-proposed
Invalid
Medium
Unassigned
Promote-to-proposed
Fix Released
Medium
Ubuntu Stable Release Updates Team
Promote-to-security
Fix Released
Medium
Andy Whitcroft
Promote-to-updates
Fix Released
Medium
Andy Whitcroft
Regression-testing
Fix Released
Medium
Canonical Kernel Team
Security-signoff
Fix Released
Medium
Steve Beattie
Sru-review
Fix Released
Medium
Andy Whitcroft
Verification-testing
Fix Released
Medium
Canonical Kernel Team
canonical-signing-jobs
Task00
Fix Released
Medium
Andy Whitcroft
linux-ibm (Ubuntu)
Focal
Fix Released
Medium
Unassigned

Bug Description

This bug will contain status and test results related to a kernel source (or snap) as stated in the title.

For an explanation of the tasks and the associated workflow see:
  https://wiki.ubuntu.com/Kernel/kernel-sru-workflow

-- swm properties --
built:
  from: 9ea0f809574dd38c
  route-entry: 2
comments:
  abi-testing: 1
delta:
  promote-to-proposed: [main, meta, signed, generate]
  promote-to-security: []
  promote-to-updates: [main, meta, signed]
flag:
  boot-testing-requested: true
  bugs-spammed: true
  proposed-announcement-sent: true
  proposed-testing-requested: true
  stream-from-cycle: true
issue: KSRU-11157
kernel-stable-master-bug: 2052220
packages:
  generate: linux-generate-ibm
  main: linux-ibm
  meta: linux-meta-ibm
  signed: linux-signed-ibm
phase: Complete
phase-changed: Tuesday, 20. February 2024 21:02 UTC
reason: {}
synthetic:
  :promote-to-as-proposed: Invalid
trackers:
  bionic/linux-ibm-5.4: bug 2052203
variant: debs
versions:
  main: 5.4.0-1066.71
  meta: 5.4.0.1066.95
  signed: 5.4.0-1066.71
~~:
  announce:
    swm-transition-crankable: 2024-02-11 16:50:33.600399
  clamps:
    new-review: 9ea0f809574dd38c
    promote-to-proposed: 9ea0f809574dd38c
    self: 5.4.0-1066.71
    sru-review: 9ea0f809574dd38c
  tracker:
    last-message: '2024-02-20 12:36:27.942027+00:00'

Manuel Diewald (diewald)
tags: added: kernel-release-tracking-bug-live
description: updated
tags: added: kernel-sru-cycle-s2024.01.08-1
description: updated
tags: added: kernel-sru-derivative-of-2052220
Changed in kernel-sru-workflow:
status: New → Confirmed
importance: Undecided → Medium
Changed in linux-ibm (Ubuntu Focal):
importance: Undecided → Medium
Changed in kernel-sru-workflow:
status: Confirmed → Triaged
description: updated
Changed in kernel-sru-workflow:
status: Triaged → In Progress
tags: added: kernel-jira-issue-ksru-11157
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
summary: - focal/linux-ibm: <version to be filled> -proposed tracker
+ focal/linux-ibm: 5.4.0-1066.71 -proposed tracker
description: updated
tags: added: kernel-jira-in-review
description: updated
tags: removed: kernel-jira-in-review
description: updated
description: updated
Revision history for this message
Ubuntu Kernel Ancillary Bot (ubuntu-kernel-ancillary-bot) wrote : ABI testing

amd64/ibm canonical-certs.pem unchanged
amd64/ibm canonical-revoked-certs.pem unchanged
amd64/ibm fwinfo unchanged
amd64/ibm modules unchanged
amd64/ibm retpoline unchanged

description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ibm - 5.4.0-1066.71

---------------
linux-ibm (5.4.0-1066.71) focal; urgency=medium

  * focal/linux-ibm: 5.4.0-1066.71 -proposed tracker (LP: #2052204)

  [ Ubuntu: 5.4.0-172.190 ]

  * focal/linux: 5.4.0-172.190 -proposed tracker (LP: #2052220)
  * CVE-2023-51781
    - appletalk: Fix Use-After-Free in atalk_ioctl
  * CVE-2023-6915
    - ida: Fix crash in ida_free when the bitmap is empty
  * CVE-2024-0565
    - smb: client: fix OOB in receive_encrypted_standard()
  * CVE-2024-0646
    - net: tls, update curr on splice as well

 -- Portia Stephens <email address hidden> Mon, 12 Feb 2024 14:22:23 +1000

Changed in linux-ibm (Ubuntu Focal):
status: New → Fix Released
description: updated
description: updated
description: updated
description: updated
description: updated
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Workflow done!

All tasks have been completed and the bug is being closed

Changed in kernel-sru-workflow:
status: In Progress → Fix Committed
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.